Page MenuHomePhabricator

Page namespace advanced editor toolbar position is broken on English Wikisource
Closed, DeclinedPublic

Description

With the latest wmf software update some users' editing toolbar setup was broken. Some were corrected by our local god, User:George Orwell III repaired most of the damage, but some he couldn't because of life constraints. The problem is the editing layout of user:Londonjackbooks where the toolbars insert themselves between the header and the main textbox. I replicated Londonjackbooks/commons.js setup in my public persona account (IneuwPublic) and the results are not the same. although the code is. IneuwPublic edit page displays the toolbars in the proper position as opposed to the same code in Londonjackbooks/commons.js. I tested IneuwPublic setup in four different browsers (Firefox, Internet Explorer 11, Chrome and Opera) and the results are the same. Londonjackbooks uses Chrome and IE 11.

Below are the links to the images and links to the common.js of both users. Please help.

https://en.wikisource.org/wiki/File:LJB_toolbar_current.jpg
https://en.wikisource.org/wiki/File:IneuwPublic_with_Londonjackbook_js_setup.jpg

https://en.wikisource.org/wiki/User:Londonjackbooks/common.js
https://en.wikisource.org/wiki/User:IneuwPublic/common.js

Event Timeline

Ineuw created this task.Aug 12 2015, 7:46 PM
Ineuw raised the priority of this task from to Unbreak Now!.
Ineuw updated the task description. (Show Details)
Ineuw added a subscriber: Ineuw.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 12 2015, 7:46 PM
Ineuw updated the task description. (Show Details)Aug 12 2015, 7:48 PM
Ineuw set Security to None.
Jdforrester-WMF added a project: Wikisource.
Ineuw added a comment.Aug 13 2015, 3:40 PM

Would such a break force the toolbars to appear between the header and the footer? Also, Londonjackbooks' common.js code is identical to mine with some minor differences (which I don't believe has anything to do with the problem), and yet my toolbars appear properly and without any problems.

AuFCL added a subscriber: AuFCL.Aug 14 2015, 6:28 AM

So is this a general problem that several users face that do not have custom code in their common.js?
Is this a general problem that several users face that do have custom code in their common.js?

and the results are not the same. although the code is.

Maybe the user might have different gadgets activated that might interfere?

@Londonjackbooks: Could you please open the browser's console (or whatever it is called in your browser) and reload the edit page (with an additional &debug=true added to the URL address of the edit page) that you see the problem on? If there is a problem or an error with JavaScript it should be printed in that console.
For more information please see:

Aklapper lowered the priority of this task from Unbreak Now! to High.Aug 27 2015, 12:40 PM
Ineuw added a comment.Sep 15 2015, 4:54 PM

This was resolved. The error was found in one of the user's common.js scripts. Apologize for not notifying here.

Aklapper closed this task as Declined.Sep 16 2015, 10:08 AM
Aklapper claimed this task.

Thanks! Feel free to change the task status in such cases. Closing as declined as there was no mistake in the MediaWiki codebase but on-wiki code.

AuFCL removed a subscriber: AuFCL.Nov 21 2016, 7:38 PM